/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/

/*
 * @(#)UID.java	1.9 07/05/04
 */

package com.sun.mail.imap.protocol;

import com.sun.mail.iap.*; 

/**
 * This class represents the UID data item
 *
 * @version 1.9, 07/05/04
 * @author  John Mani
 */

public class UID implements Item {
    
    static final char[] name = {'U','I','D'};
    public int seqnum;

    public long uid;

    /**
     * Constructor
     */
    public UID(FetchResponse r) throws ParsingException {
	seqnum = r.getNumber();
	r.skipSpaces();
	uid = r.readLong();
    }
}
