/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.graph.util;

public class GraphEndNode extends GraphNode {

	public GraphEndNode(String id, String title, String url, String comment, String tooltip) {
		super(id, title, url, comment, tooltip);
		setShape("circle");
		setStyle("\"rounded,bold\"");
	}

	public GraphEndNode(String id, String title) {
		super(id, title);
		setShape("circle");	
		setStyle("\"rounded,bold\"");
	}

	
	
}
