/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.jms.connectionfactory;

import java.util.Set;

public interface IConnectionFactoryManager {

	public org.eclipse.ebpm.jms.connectionfactory.ConnectionFactory getConnectionFactory(String connectionFactoryIdentifier) throws Exception;
	public Set<String> getRegisteredConnectionFactoriesIDs();
	public void registerForNotification(String id);
	public void unregisterForNotification(String id);
}
