/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.api;

public class Fault extends RuntimeException {

    /**
     * Generated serial version UID
     */
    private static final long serialVersionUID = -903183946584411674L;

    public Fault() {
    }

    public Fault(String message) {
        super(message);
    }

    public Fault(Throwable cause) {
        super(cause);
    }

    public Fault(String message, Throwable cause) {
        super(message, cause);
    }

}
