/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.bindings.http.impl;

import javax.xml.namespace.QName;

import org.eclipse.ebpm.soap.bindings.http.model.Wsdl2HttpHeader;

public class Wsdl2HttpHeaderImpl implements Wsdl2HttpHeader {

    private String name;
    private QName type;
    private boolean required;
    
    /**
     * @return the name
     */
    public String getName() {
        return name;
    }
    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }
    /**
     * @return the required
     */
    public boolean isRequired() {
        return required;
    }
    /**
     * @param required the required to set
     */
    public void setRequired(boolean required) {
        this.required = required;
    }
    /**
     * @return the type
     */
    public QName getType() {
        return type;
    }
    /**
     * @param type the type to set
     */
    public void setType(QName type) {
        this.type = type;
    }

}
