/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.bindings.http.model;

import org.eclipse.ebpm.soap.api.model.wsdl2.Wsdl2Operation;

public interface Wsdl2HttpOperation extends Wsdl2Operation<Wsdl2HttpMessage> {

    public String getHttpLocation();
    
    public String getHttpMethod();
    
    public String getHttpInputSerialization();
    
    public String getHttpOutputSerialization();
    
    public String getHttpFaultSerialization();
    
    public String getHttpTransferCodingDefault();
    
    public boolean isHttpLocationIgnoreUncited();

}
