/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.bindings.soap.model.wsdl1;

import org.eclipse.ebpm.soap.api.model.wsdl1.Wsdl1Binding;
import org.eclipse.ebpm.soap.bindings.soap.model.SoapBinding;

public interface Wsdl1SoapBinding extends Wsdl1Binding<Wsdl1SoapOperation>,
                                          SoapBinding<Wsdl1SoapOperation> {

    public enum Style {
        RPC,
        DOCUMENT
    }
    
    public String getLocationURI();
    
    public String getTransportURI();

    public Style getStyle();
}
