/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.core.model;

import javax.xml.namespace.QName;

import org.eclipse.ebpm.soap.api.model.wsdl1.Wsdl1Part;

/**

 */
public class AbstractWsdl1Part implements Wsdl1Part {

    private QName element;
    private String name;
    private QName type;
    
    /**
     * @return the element
     */
    public QName getElement() {
        return element;
    }
    /**
     * @param element the element to set
     */
    public void setElement(QName element) {
        this.element = element;
    }
    /**
     * @return the name
     */
    public String getName() {
        return name;
    }
    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }
    /**
     * @return the type
     */
    public QName getType() {
        return type;
    }
    /**
     * @param type the type to set
     */
    public void setType(QName type) {
        this.type = type;
    }
    
}
