/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.ws.addressing;

import org.eclipse.ebpm.soap.core.AbstractPolicy;

public class WsAddressingPolicy extends AbstractPolicy {

    public WsAddressingPolicy() {
        getInterceptors(Phase.ServerIn).add(new WsAddressingInOperationInterceptor(this, true));
        getInterceptors(Phase.ServerOut).add(new WsAddressingOutInterceptor(this, true));
        getInterceptors(Phase.ClientOut).add(new WsAddressingOutInterceptor(this, false));
    }

}
