/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.util.properties;

public class MandatoryPropertyNotFoundException extends RuntimeException {

	

	public MandatoryPropertyNotFoundException(String propertyName, Throwable arg1) {
		super("Property ["+propertyName+"] is Mandatory", arg1);
		
	}

	public MandatoryPropertyNotFoundException(String propertyName) {
		super("Property ["+propertyName+"] is Mandatory");
	}

	
	
}
