/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.connectors.jdbc;

public class StatementElement {
	
	private String name;
	private String sql;
	private StatementElement[] subQueries;
	
	public StatementElement() {
		super();
	}

	public StatementElement(String name, String sql) {
		super();
		this.name = name;
		this.sql = sql;
	}

	public StatementElement(String name, String sql, StatementElement[] subQueries) {
		super();
		this.name = name;
		this.sql = sql;
		this.subQueries = subQueries;
	}


	public String getName() {
		return name;
	}


	public void setName(String name) {
		this.name = name;
	}


	public String getSql() {
		return sql;
	}


	public void setSql(String sql) {
		this.sql = sql;
	}


	public StatementElement[] getSubQueries() {
		return subQueries;
	}


	public void setSubQueries(StatementElement[] subQueries) {
		this.subQueries = subQueries;
	}

	
}
