/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.connectors.mail;

import org.eclipse.ebpm.connectors.mail.marshaler.AbstractMailMarshaler;
import org.eclipse.ebpm.connectors.mail.utils.MailConnectionConfiguration;


public class MailParameters {
	
    public AbstractMailMarshaler marshaler;// = new DefaultMailMarshaler();
    
    public String customTrustManagers;
    
    public MailConnectionConfiguration config;
    
    public String connection;
    
    public int maxFetchSize;// = 5;
    
    public boolean processOnlyUnseenMessages;
    
    public boolean deleteProcessedMessages;
    
    public boolean debugMode;  
    
    public boolean startTLS;// = false;
    
    public long period;
    
}
