/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.core.routing;

import java.util.List;

public interface IDynamicRouter {

	public String getTarget(String source);
	
	public void updateRoutes(List<String> routes, List<String> oldRoutes);
	
	
}
