/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.graph.util;

public class Transition {
	
	public String startNodeId = null;
	
	public String endNodeId = null;

	public Transition(String startNodeId, String endNodeId) {
		super();
		this.startNodeId = startNodeId;
		this.endNodeId = endNodeId;
	}

	public String getEndNodeId() {
		return endNodeId;
	}

	public void setEndNodeId(String endNodeId) {
		this.endNodeId = endNodeId;
	}

	public String getStartNodeId() {
		return startNodeId;
	}

	public void setStartNodeId(String startNodeId) {
		this.startNodeId = startNodeId;
	}
	
	public String toDot(){
		
		StringBuffer dotStringBuffer = new StringBuffer();
		dotStringBuffer.append(startNodeId+"->"+endNodeId);
		return dotStringBuffer.toString();
	}

}
