/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.bindings.soap;

import javax.xml.namespace.QName;

/**
 * @version $Revision: 437862 $
 */
public interface SoapVersion {

    double getVersion();

    String getNamespace();

    String getPrefix();

    QName getEnvelope();

    QName getHeader();

    QName getBody();
    
    QName getFault();

    String getSoapEncodingStyle();

    String getAttrNameMustUnderstand();
    
    // Role related properties
    //-------------------------------------------------------------------------
    String getAttrNameRole();
    
    String getNoneRole();

    String getUltimateReceiverRole();

    String getNextRole();
    
    String getSoapMimeType();
    
    SoapVersion getDerivedVersion(String prefix);
}
