/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.bindings.soap.impl;

import org.eclipse.ebpm.soap.bindings.soap.model.wsdl1.Wsdl1SoapMessage;
import org.eclipse.ebpm.soap.bindings.soap.model.wsdl1.Wsdl1SoapPart;
import org.eclipse.ebpm.soap.core.model.AbstractWsdl1Message;

public class Wsdl1SoapMessageImpl extends AbstractWsdl1Message<Wsdl1SoapPart> implements Wsdl1SoapMessage {

    private String namespace;

    /**
     * @return the namespace
     */
    public String getNamespace() {
        return namespace;
    }

    /**
     * @param namespace the namespace to set
     */
    public void setNamespace(String namespace) {
        this.namespace = namespace;
    }

}
