/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.bindings.soap.model.wsdl2;

import java.net.URI;
import java.util.Collection;

import org.eclipse.ebpm.soap.api.model.wsdl2.Wsdl2Binding;
import org.eclipse.ebpm.soap.bindings.soap.model.SoapBinding;

public interface Wsdl2SoapBinding extends Wsdl2Binding<Wsdl2SoapOperation>,
                                          SoapBinding<Wsdl2SoapOperation> {

    public String getSoapVersion();
    
    public URI getSoapProtocol();
    
    public URI getSoapMepDefault();
    
    public Collection<Wsdl2SoapModule> getSoapModules();
    
}
