/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.core.model;

import org.apache.ws.commons.schema.XmlSchemaElement;
import org.eclipse.ebpm.soap.api.model.wsdl2.Wsdl2Message;

/**
 */
public class AbstractWsdl2Message extends AbstractMessage implements Wsdl2Message {

    private ContentModel contentModel;
    private XmlSchemaElement elementDeclaration;
    
    /**
     * @return the contentModel
     */
    public ContentModel getContentModel() {
        return contentModel;
    }
    /**
     * @param contentModel the contentModel to set
     */
    public void setContentModel(ContentModel contentModel) {
        this.contentModel = contentModel;
    }
    /**
     * @return the elementDeclaration
     */
    public XmlSchemaElement getElementDeclaration() {
        return elementDeclaration;
    }
    /**
     * @param elementDeclaration the elementDeclaration to set
     */
    public void setElementDeclaration(XmlSchemaElement elementDeclaration) {
        this.elementDeclaration = elementDeclaration;
    }
    
}
