/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.util.stax;

import java.util.Collection;
import java.util.Iterator;

import javax.xml.namespace.NamespaceContext;

public interface ExtendedNamespaceContext extends NamespaceContext {

	/**
	 * Returns an {@link Iterator} of all namespace prefixes in scope within this
	 * context, including those inherited from ancestor contexts.
	 * 
	 * @return An {@link Iterator} of prefix {@link String}s.
	 */
    public Collection<String> getPrefixes();
}
