INSERT INTO type_service (id_ts, value) VALUES(1, 'JBI-BINDING COMPONENT');
INSERT INTO type_service (id_ts, value) VALUES(2, 'JBI-SERVICE ENGINE');
INSERT INTO type_service (id_ts, value) VALUES(3, 'GENERIC-PROCESS');
INSERT INTO type_service (id_ts, value) VALUES(4, 'JBI-PROCESS');
INSERT INTO type_service (id_ts, value) VALUES(5, 'BPEL-PROCESS');
INSERT INTO type_service (id_ts, value) VALUES(6, 'JBPM-PROCESS');
INSERT INTO type_service (id_ts, value) VALUES(7, 'OSGI-CONNECTOR');
INSERT INTO type_service (id_ts, value) VALUES(8, 'OSGI-SERVICE');

INSERT INTO transition_state (id_state,state_value) VALUES(0, 'JBI_INONLY_ACTIVE');
INSERT INTO transition_state (id_state,state_value) VALUES(1, 'JBI_INONLY_DONE');
INSERT INTO transition_state (id_state,state_value) VALUES(2, 'JBI_INONLY_FAULT');
INSERT INTO transition_state (id_state,state_value) VALUES(3, 'JBI_INOUT_ACTIVE');
INSERT INTO transition_state (id_state,state_value) VALUES(4, 'JBI_INOUT_OUT');
INSERT INTO transition_state (id_state,state_value) VALUES(5, 'JBI_INOUT_FAULT');
INSERT INTO transition_state (id_state,state_value) VALUES(6, 'JBI_INOUT_DONE');
INSERT INTO transition_state (id_state,state_value) VALUES(7, 'JBI_ROBUSTINONLY_ACTIVE');
INSERT INTO transition_state (id_state,state_value) VALUES(8, 'JBI_ROBUSTINONLY_STEP1_DONE');
INSERT INTO transition_state (id_state,state_value) VALUES(9, 'JBI_ROBUSTINONLY_STEP1_FAULT');
INSERT INTO transition_state (id_state,state_value) VALUES(10, 'JBI_ROBUSTINONLY_DONE');
INSERT INTO transition_state (id_state,state_value) VALUES(11, 'JBI_INOPTIONALOUT_ACTIVE');
INSERT INTO transition_state (id_state,state_value) VALUES(12, 'JBI_INOPTIONALOUT_STEP1_OUT');
INSERT INTO transition_state (id_state,state_value) VALUES(13, 'JBI_INOPTIONALOUT_STEP1_DONE');
INSERT INTO transition_state (id_state,state_value) VALUES(14, 'JBI_INOPTIONALOUT_STEP1_FAULT');
INSERT INTO transition_state (id_state,state_value) VALUES(15, 'JBI_INOPTIONALOUT_STEP2_DONE');
INSERT INTO transition_state (id_state,state_value) VALUES(16, 'JBI_INOPTIONALOUT_STEP2_FAULT');
INSERT INTO transition_state (id_state,state_value) VALUES(17, 'JBI_INOPTIONALOUT_DONE');

INSERT INTO transition_state (id_state,state_value) VALUES(18, 'BPEL_START_ACTIVITY');
INSERT INTO transition_state (id_state,state_value) VALUES(19, 'BPEL_END_ACTIVITY');
INSERT INTO transition_state (id_state,state_value) VALUES(20, 'BPEL_FAULTED_ACTIVITY');

INSERT INTO transition_state (id_state,state_value) VALUES(21, 'JBPM_START_ACTIVITY');
INSERT INTO transition_state (id_state,state_value) VALUES(22, 'JBPM_END_ACTIVITY');
INSERT INTO transition_state (id_state,state_value) VALUES(23, 'JBPM_FAULTED_ACTIVITY');

INSERT INTO xml_namespace (id_namespace,prefix,value) VALUES(1, 'restart', 'urn:it:eng:spagic:restart');
INSERT INTO xml_namespace (id_namespace,prefix,value) VALUES(2, 'spagic', 'urn:it:eng:spagic');
INSERT INTO xml_namespace (id_namespace,prefix,value) VALUES(3, 'spagicevent', 'urn:it:eng:spagic:event');

INSERT INTO pool_type (id_pool_type,id_rule_det_pool_type,name,description,pool_type_version) VALUES(NULL,NULL,'ANONYMOUS','POOL TYPE FOR DYNAMIC LINKS','0');

INSERT INTO process_execution_state (id_process_execution_state,state_value) VALUES(0, 'NORMAL_EXECUTION');
INSERT INTO process_execution_state (id_process_execution_state,state_value) VALUES(1, 'PAUSE_EXECUTION');
INSERT INTO process_execution_state (id_process_execution_state,state_value) VALUES(2, 'STOP_EXECUTION');

INSERT INTO monitoring_type (id_monitoring_type,type_value) VALUES(0, 'ASYNCHRONOUS');
INSERT INTO monitoring_type (id_monitoring_type,type_value) VALUES(1, 'SYNCHRONOUS');

INSERT INTO log_journal_type (id_log_journal_type, type_journal) VALUES(0, 'MESSAGE');
INSERT INTO log_journal_type (id_log_journal_type, type_journal) VALUES(1, 'VARIABLE');

INSERT INTO id_gen (gen_name, gen_val) values ('attribute_gen', IFNULL((SELECT MAX(id_attribute) FROM attribute), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('catalog_gen', IFNULL((SELECT MAX(id_catalog) FROM catalog), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('component_gen', IFNULL((SELECT MAX(id_component) FROM component), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('exchange_store_gen', IFNULL((SELECT MAX(id) FROM exchange_store), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('id_log_gen', IFNULL((SELECT MAX(id_log) FROM log_journal), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('id_pool_gen', IFNULL((SELECT MAX(id_pool) FROM pool_instance), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('id_pool_type_gen', IFNULL((SELECT MAX(id_pool_type) FROM pool_type), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('id_process_gen', IFNULL((SELECT MAX(id_process) FROM process), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('id_process_instance_gen', IFNULL((SELECT MAX(id_process_instance) FROM process_instance), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('id_property_gen', IFNULL((SELECT MAX(id_property) FROM property), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('property_service_instance_gen', IFNULL((SELECT MAX(id_property) FROM property_service_instance), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('id_relevant_data_gen', IFNULL((SELECT MAX(id_relevant_data) FROM relevant_data), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('id_rule_gen', IFNULL((SELECT MAX(id_rule) FROM rule), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('id_query_gen', IFNULL((SELECT MAX(id_query) FROM search_query), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('id_service_instance_gen', IFNULL((SELECT MAX(id_service_instance) FROM service_instance), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('id_step_gen', IFNULL((SELECT MAX(id_step) FROM step), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('id_journal_gen', IFNULL((SELECT MAX(id_journal) FROM transition_instance), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('id_ts_gen', IFNULL((SELECT MAX(id_ts) FROM type_service), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('id_variable_definition_gen', IFNULL((SELECT MAX(id_variable_definition) FROM variable_definition), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('id_variable_instance_gen', IFNULL((SELECT MAX(id_variable_instance) FROM variable_instance), 0));
INSERT INTO id_gen (gen_name, gen_val) values ('id_namespace_gen', IFNULL((SELECT MAX(id_namespace) FROM xml_namespace), 0));
