/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.core.servicedefinitions.extensionprovider;

import java.util.List;
import java.util.Map;

import org.eclipse.ebpm.service.model.IComboProvider;
import org.w3c.dom.Node;

public interface IServiceDefinition {
	
	public List<Node> getConnectors();
	
	public List<Node> getServices();
	
	public List<Node> getDefinitions();
	
	public List<Node> getComboProviders();

	public List<Node> getDeploySchemas();

	public Map<? extends String, ? extends IComboProvider> getComboProviderFactoryContribution();

}
